MPD: Data Fields

MPD 0.20.18

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - g -

- gain : ReplayGainTuple
- gcc_nonnull() : SongFilter , SongFilter::Item
- gcc_printf() : BufferedOutputStream
- GenerateId() : IdTable
- genre : HttpdOutput
- Get() : CancellableList< T, CT > , CancellablePointer< T > , CueParser , CurlEasy , CurlMulti , CurlRequest , CurlSlist , EventFD , EventPipe , FfmpegBuffer , FileDescriptor , FilterObserver
- get() : FlacStreamDecoder , HugeAllocation
- Get() : Java::GlobalRef< T > , Java::LocalRef< T > , Java::TrivialRef< T > , Manual< T > , MultipleOutputs , PcmBuffer , Queue , ReplayGainInfo , ReusableArray< T, M > , SharedPipeConsumer , SignalFD , SocketMonitor
- getAbsolutePath() : Java::File
- GetAddress() : AllocatedSocketAddress , SocketAddress , StaticSocketAddress
- GetAttribute() : CommonExpatParser , ExpatParser
- GetAttributeCase() : CommonExpatParser , ExpatParser
- GetAudioFormat() : FlacPcmImport
- GetAvailable() : DecoderBuffer , ForeignFifoBuffer< T >
- GetBase() : Path , PathTraitsFS , PathTraitsUTF8 , SongFilter
- GetBlock() : FLACMetadataIterator
- GetBlockParam() : ConfigBlock
- GetBlockValue() : ConfigBlock
- GetBoolValue() : BlockParam
- GetBuffer() : ForeignFifoBuffer< T >
- GetBufferSpace() : AsyncInputStream
- GetBytesTillMetaData() : HttpdClient
- GetCacheDir() : Context
- GetCapacity() : CircularBuffer< T > , ForeignFifoBuffer< T > , ReusableArray< T, M > , SliceBuffer< T > , StaticSocketAddress
- GetChannel() : ClientMessage
- GetChunk() : DecoderBridge
- GetClient() : DecoderReader , FlacInput
- GetCode() : DatabaseError , PlaylistError , ProtocolError , SqliteError , ZlibError
- GetCommand() : DecoderBridge , DecoderClient
- GetConnection() : NfsManager
- GetConsume() : playlist
- GetCrossFade() : PlayerControl
- GetCurrent() : ThreadId
- GetCurrentPosition() : playlist
- GetDatabase() : Client
- GetDatabaseOrThrow() : Client
- GetDelay() : Timer
- GetDeltaPosition() : FlacDecoder
- GetDescription() : OptionDef
- GetDevice() : FileInfo
- GetDirectories() : UPnPDeviceDirectory
- GetDirectoryName() : AllocatedPath , Path
- GetDuration() : DetachedSong , LightSong
- GetElapsedTime() : MultipleOutputs
- GetEnd() : MixRampInfo
- GetEndTime() : DetachedSong
- GetEntry() : DirectoryReader
- GetErrorType() : PlayerControl
- GetEventLoop() : DeferredMonitor , IdleMonitor , NfsConnection , ServerSocket , SocketMonitor , TimeoutMonitor
- GetEvents() : PollResultEPoll , PollResultGeneric
- GetExportName() : NfsConnection
- GetFamily() : AllocatedSocketAddress , SocketAddress , StaticSocketAddress
- GetFD() : FileReader
- GetFileInfo : FileInfo , FileReader
- GetFirst() : DivideString
- GetFoldCase() : SongFilter::Item
- GetFrameSize() : AudioFormat , PcmExport
- getFriendlyName() : ContentDirectoryService
- GetId() : UpdateService
- GetInfo() : CompositeStorage , MemoryStorageDirectoryReader , Storage , StorageDirectoryReader
- GetInode() : FileInfo
- GetInputAudioFormat() : AudioOutputSource
- GetInputStream() : DecoderReader , FlacInput
- GetInterface() : SLES::Object
- GetIntValue() : BlockParam
- GetItems() : SongFilter
- GetLastError() : AudioOutput
- GetLastModified() : DetachedSong
- GetLength() : PathTraitsFS , PathTraitsUTF8 , playlist , Queue
- GetLineNumber() : BufferedReader
- GetList() : NeighborExplorer , NeighborGlue
- GetLongOption() : OptionDef
- GetMessage() : ClientMessage
- getMetadata() : ContentDirectoryService
- GetMimeType() : InputStream , PreparedEncoder
- GetMixRampDb() : PlayerControl
- GetMixRampDelay() : PlayerControl
- GetMixRampEnd() : DecoderControl
- GetMixRampPreviousEnd() : DecoderControl
- GetMixRampStart() : DecoderControl
- GetMode() : FileInfo
- GetModificationTime() : FileInfo
- GetMount() : CompositeStorage
- GetName() : AudioOutput , Directory , Domain
- GetNextOrder() : Queue
- GetNextPosition() : playlist
- GetNow() : PeriodClock
- GetObject() : PollResultEPoll , PollResultGeneric
- GetOffset() : InputStream
- GetOption() : OptionParser
- GetOptional() : Request
- GetOrder() : Queue
- GetOrderItem() : Queue
- GetOrderPriority() : Queue
- GetOutAudioFormat() : Filter
- GetOutputSampleFormat() : GluePcmResampler
- GetParent() : PathTraitsFS , PathTraitsUTF8
- GetPath() : ConfigBlock , ConfigParam , Directory , FileOutputStream , LightDirectory
- GetPermission() : Client
- GetPipe() : SharedPipeConsumer
- GetPlugin() : Database
- GetPosition() : FileReader
- GetPriorityAtPosition() : Queue
- GetPtr() : SocketSet
- GetQueuedSong() : playlist
- GetRandom() : Partition , playlist
- GetRealURI() : DetachedSong
- GetRepeat() : playlist
- GetRest() : InputStream
- GetRoot() : SimpleDatabase
- GetSampleSize() : AudioFormat
- GetScheduledFlags() : SocketMonitor
- getSearchCapabilities() : ContentDirectoryService
- GetSecond() : DivideString
- GetSeekFrame() : DecoderBridge , DecoderClient
- GetSeekTime() : DecoderBridge , DecoderClient
- GetSerialNo() : OggStreamState , OggVisitor
- GetServer() : NfsConnection , UPnPDeviceDirectory
- GetShortOption() : OptionDef
- GetSingle() : playlist
- GetSize() : AllocatedSocketAddress , CircularBuffer< T > , FileDescriptor , FileInfo , FileReader , InputStream , MusicBuffer , MusicPipe , PollResultEPoll , PollResultGeneric , SocketAddress , StaticSocketAddress
- GetSoftwareVolume() : MultipleOutputs
- GetSong() : Database , SimpleDatabase
- GetSpace() : CircularBuffer< T >
- GetStart() : MixRampInfo
- GetStartTime() : DetachedSong
- GetState() : PlayerControl , SLES::AndroidSimpleBufferQueue
- GetStats() : Database , SimpleDatabase
- GetStatus() : FlacMetadataChain
- GetStatusString() : FlacMetadataChain
- GetStorage() : Client
- GetStream() : DecoderBuffer
- GetSuffix() : Path
- GetT() : FfmpegBuffer , PcmBuffer
- GetTag() : DetachedSong , SongFilter::Item
- GetTime() : EventLoop
- GetTimeToSize() : AudioFormat
- GetTotalPlayTime() : PlayerControl
- GetUID() : Client
- GetUid() : FileInfo
- GetUnsignedValue() : BlockParam
- GetUpdateStamp() : Database , SimpleDatabase
- GetUpnpCookie() : UpnpCallback
- GetURI() : ContentDirectoryService , DetachedSong , InputStream , LightSong , Song
- GetValue() : SongFilter::Item , Tag
- GetVersion() : playlist
- GetVolume() : Mixer , MultipleOutputs , PcmVolume
- global : MixerPlugin
- global_events : Partition
- GlobalRef() : Java::GlobalRef< T >
- GluePcmResampler() : GluePcmResampler
- Grow() : DynamicFifoBuffer< T >
- GrowDiscard() : AllocatedArray< T >
- GrowPreserve() : AllocatedArray< T >
- GunzipReader() : GunzipReader
- GzipOutputStream() : GzipOutputStream